Subject: MPC8272 PCI bridge problem

From: Vitaly Bordug <[email-masked]>
Date: Fri, 07 Jan 2005 18:03:11 +0300

Hi to all.

I am working on 8272ADS PCI bridge support in 2.4 kernel.

Does anybody have this working more or less? The point is that it's 
nearly works for me, but I can't
get interrupt from CPLD interrupt controller and thus  PCI cascade  
handler  won't triggered even once.

I ioremap IC register (0xf4730000 according to RM) in m8260_setup_arch. 
After find_bridges call (where PCI staff is configured in immr) the
values of IC status and mask registers change, though they haven't been 
touched in the function. 

Any advice or clue will be greatly appreciated.
 
-- 
Thanks, Vitaly